Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', as: 'logout', via: [:get, :delete]
  resources :courses
  resources :semesters
  resources :subjects
  get 'users/new'
  post 'users/create', to: 'users#create', as: 'registration'
  get 'users/edit/:id', to: 'users#edit', as: 'edit_user'
  put 'users/update/:id', to: 'users#update', as: 'update_profile'
  get 'users/forgotten'
  match 'users/delete/:id', to: 'users#destroy', as: :delete_user, via: [:get, :delete]
  post 'users/send_forgotten'
  get 'home/login', to: 'home#login', as: 'hogyhivjuk'
  get 'say/hello', to: 'say#hello', as: 'hello'
  # Define your application routes per the DSL in https://guides.rubyonrails.org/routing.html

  # Defines the root path route ("/")
  # root "articles#index"
end
